<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header">
  <div class="main-job-description__right">
<!--    <mb-button *ngIf="objFunction?.create"  mbButtonType="NO_BORDER" mbButtonAvailableStyle="BtnCancelHasBorder"-->
<!--               mbButtonText="{{'staffManager.managerDirect.label.assignNew'| translate}}"-->
<!--                 (click)="redirectAssign()">-->
<!--    </mb-button>-->
    <mb-button mbButtonType="BORDER" mbButtonSize="MEDIUM"  *ngIf="objFunction?.import"
               mbButtonText="{{'staffManager.managerDirect.label.createinBatch' | translate}}"
               mbButtonAvailableStyle="PRIMARY"  (click)="showUpload()">
    </mb-button>
  </div>
</div>

<nz-card class="main-job-card">
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="pl-5px">
      <employee-data-picker [(ngModel)]="employeeId" [mbCanText]="true" [ngModelOptions]="{standalone: true}"
                            (selectedChange)="onChange($event)"
                            mbLabelText="{{'staffManager.managerDirect.label.emp' | translate}}">
      </employee-data-picker>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId"
                 mbLabelText="{{'Job' | translate}}" mbPlaceholder="{{'staffManager.managerDirect.placeHolder.chooseJob' | translate}}"
                 [(ngModel)]="searchParams.jobId">
      </mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left position-relative">
      <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="50" [defaultInput]="true"
                     (mbClick)="showModalOrg($event)"
                     mbPlaceholderText="{{ 'staffManager.managerDirect.placeHolder.chooseUnit' | translate }}"
                     mbLabelText="{{ 'staffManager.managerDirect.label.org' | translate }}" [mbReadOnly]="true">
      </mb-input-text>
      <em *ngIf="orgName" nz-icon class="icon-delete-unit" (click)="clearOrgInput()" nzType="close-circle"
          nzTheme="outline"></em>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listAssign" mbKeyLabel="label" mbKeyValue="value"
                 mbLabelText="{{'staffManager.managerDirect.label.assign' | translate}}" mbPlaceholder="{{'staffManager.managerDirect.placeHolder.choooseAssign' | translate}}"
                 [(ngModel)]="searchParams.isAuto">
      </mb-select>
    </div>

  </div>
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listManagerTmp" mbKeyLabel="fullName" mbKeyValue="employeeId"
                 [(ngModel)]="searchParams.managerId" mbLabelText="{{'staffManager.managerDirect.label.managerDirect' | translate}}"
                 (mbOnSearch)='onSearchDirect($event)'
                 [mbServerSearch]="true"
                 mbPlaceholder="{{'staffManager.managerDirect.placeHolder.choose' | translate}}">
      </mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listManagerTmp" mbKeyLabel="fullName" mbKeyValue="employeeId"
                 [(ngModel)]="searchParams.indirectManagerId" mbLabelText="{{'staffManager.managerDirect.label.managerIndirect' | translate}}"
                 (mbOnSearch)='onSearchDirect($event)'
                 [mbServerSearch]="true"
                 mbPlaceholder="{{'staffManager.managerDirect.placeHolder.choose' | translate}}"></mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        [(ngModel)]="searchParams.fromDate"
        mbLabelText="{{ 'staffManager.managerDirect.label.fromDate' | translate }}"
      >
      </mb-date-picker>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listDisplay" mbKeyLabel="label" mbKeyValue="value" [mbShowClear] ='false'
                 [(ngModel)]="searchParams.isLasted" mbLabelText="{{'staffManager.managerDirect.label.display' | translate}}"
                 mbPlaceholder="{{'staffManager.managerDirect.placeHolder.choose' | translate}}"></mb-select>
    </div>
  </div>
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listClassify" mbKeyLabel="label" mbKeyValue="value"
                 [(ngModel)]="searchParams.isMainPosition" mbLabelText="{{'staffManager.managerDirect.label.classify' | translate}}"
                 mbPlaceholder="{{'staffManager.managerDirect.placeHolder.choose' | translate}}"></mb-select>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__left mt-35">
      <nz-radio-group [(ngModel)]="searchParams.isAssign">
        <label nz-radio nzValue="0">{{'staffManager.managerDirect.label.unAssign' | translate}}</label>
        <label nz-radio nzValue="1">{{'staffManager.managerDirect.label.assigned' | translate}}</label>
      </nz-radio-group>
    </div>
  </div>
  <div class="main-job-card__button-search">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='SEARCH'
               mbButtonText="{{'common.button.search' | translate}}" (click)="onSearch()">
    </mb-button>
    <mb-button *ngIf="objFunction?.export" mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()">
      <img src="../../../../../assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>
<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]='null'>
    <mb-table [heightTable]="heightTable"
              (changePageNum)='search($event)'
              (onDblClickNode)='dblClick($event)'
              [tableConfig]='tableConfig' [tableData]='dataTable'></mb-table>
  </mb-table-wrap>
</div>
<app-import-employee [showContent]='isImportData'
                     (onCloseModal)="doCloseImport()"
                     [urlApiDownloadTemp]='urlApiDownloadTemp'
                     [urlApiImport]='urlApiImport'>
</app-import-employee>
<ng-template #actionTmpl let-dataTmp="dataTmp" let-managerProcessId="managerProcessId">
  <div class="action">
    <mb-button mbButtonAvailableStyle='CONTENT' (click)="redirectAssign(dataTmp)" *ngIf="objFunction.create && !managerProcessId">
      <img src="../../../../../assets/images/icon/assign-staff.svg" alt=""
           nz-tooltip nzTooltipTitle="{{'common.label.create' | translate}}" nzTooltipPlacement="bottom"/>
    </mb-button>
    <mb-button mbButtonAvailableStyle='CONTENT' (click)="redirectAssign(dataTmp)"
               *ngIf="objFunction.create && managerProcessId" [mbIsDisable]='dataTmp?.isEnable === 0'>
      <img src="../../../../../assets/images/icon/edit.png" width='18' height='18' alt=""
           nz-tooltip nzTooltipTitle="{{'common.label.edit' | translate}}" nzTooltipPlacement="bottom" />
    </mb-button>
    <mb-button mbButtonAvailableStyle='CONTENT' (click)='deleteRecord(managerProcessId,$event)'
               *ngIf="objFunction.delete" [mbIsDisable]='searchParams.isAssign === "0" || dataTmp?.isEnable === 0'>
      <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'
           nz-tooltip nzTooltipTitle="{{'common.label.delete' | translate}}" nzTooltipPlacement="bottom"></mb-button>
  </div>
</ng-template>
